Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Class TransferDropTargetAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drop.TransferDropTargetAdapter

All Implemented Interfaces:
  DropTargetListener, java.util.EventListener, ITransferDropTargetListener, SWTEventListener

Direct Known Subclasses:
  SelectionDropAdapter

public class TransferDropTargetAdapter
extends java.lang.Object
implements ITransferDropTargetListener

Parent of all the transfer drop target adapters. Every transfer type drop target adapter should override the methods in the `DropTargetListener` interface.

Constructor Summary
`TransferDropTargetAdapter(ITransferAgent aTransferAgent)` Constructor for TransferDropTargetAdapter.

Method Summary
`boolean` `canSupport(DropTargetEvent event)` Returns whether the drop operation for the current drop event is supported by this listener.
`protected boolean` `canSupportTransferData(DropTargetEvent event)` Checks if the transfer agent can support one of the transfer datas passed into the event.
`void` `dragEnter(DropTargetEvent event)`
`void` `dragLeave(DropTargetEvent event)`
`void` `dragOperationChanged(DropTargetEvent event)`
`void` `dragOver(DropTargetEvent event)`
`void` `drop(DropTargetEvent event)`
`void` `dropAccept(DropTargetEvent event)`
`protected IDropTargetContext` `getContext()` Returns the context.
`protected IDropTargetListener` `getListener()` Returns the listener.
`ITransferAgent` `getTransferAgent()` Returns the transfer agent.
`void` `init(IDropTargetContext initialContext)` Initializes this transfer drop target listener with the drop target context that provides the target and location information during the drag/drop operation.
`protected boolean` `isSupportingListenerAvailable()` Check if a supporting listener is available.It also updates the current listener cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferDropTargetAdapter

    public TransferDropTargetAdapter(ITransferAgent aTransferAgent)

  Constructor for TransferDropTargetAdapter.

Parameters:
  `aTransferAgent` - The transfer agent

Method Detail

### dragEnter

    public void dragEnter(DropTargetEvent event)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### dragLeave

    public void dragLeave(DropTargetEvent event)

  Specified by:
    `dragLeave` in interface `DropTargetListener`

### dragOperationChanged

    public void dragOperationChanged(DropTargetEvent event)

  Specified by:
    `dragOperationChanged` in interface `DropTargetListener`

### dragOver

    public void dragOver(DropTargetEvent event)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### drop

    public final void drop(DropTargetEvent event)

  Specified by:
    `drop` in interface `DropTargetListener`

### dropAccept

    public void dropAccept(DropTargetEvent event)

  Specified by:
    `dropAccept` in interface `DropTargetListener`

### getListener

    protected final IDropTargetListener getListener()

  Returns the listener.

  Returns:
    IDropTargetListener

### getContext

    protected final IDropTargetContext getContext()

  Returns the context.

  Returns:
    IDropTargetContext

### init

    public final void init(IDropTargetContext initialContext)

  Description copied from interface: `ITransferDropTargetListener`
  Initializes this transfer drop target listener with the drop target context that provides the target and location information during the drag/drop operation.

  Specified by:
    `init` in interface `ITransferDropTargetListener`
  Parameters:
    `initialContext` - the drop target context

### getTransferAgent

    public final ITransferAgent getTransferAgent()

  Returns the transfer agent.

  Specified by:
    `getTransferAgent` in interface `ITransferDropTargetListener`
  Returns:
    ITransferAgent

### canSupport

    public boolean canSupport(DropTargetEvent event)

  Description copied from interface: `ITransferDropTargetListener`
  Returns whether the drop operation for the current drop event is supported by this listener. This listener will have access to the `IDropActionContext` and the current drop target listener when this method is invoked.

  Specified by:
    `canSupport` in interface `ITransferDropTargetListener`
  Parameters:
    `event` - The drop target event
  Returns:
    true if can support, false otherwise

### isSupportingListenerAvailable

    protected final boolean isSupportingListenerAvailable()

  Check if a supporting listener is available.It also updates the current listener cache.

  Returns:
    boolean true or false

### canSupportTransferData

    protected final boolean canSupportTransferData(DropTargetEvent event)

  Checks if the transfer agent can support one of the transfer datas passed into the event. It also updates the internal current event cache and sets the current data type on the current event.

  Parameters:
    `event` - the drop target event
  Returns:
    boolean true or false

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.